=== debian/changelog ===
maas (2.2.0+bzr6054-0ubuntu2~16.10.1) yakkety-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream release 2.2.0 (LP: #1696752)
    - Support for Intel Rack Scale Design as a MAAS Pod.
    - Support for KVM as a MAAS Pod.
    - Support for Hardware Testing.
    - Support for Unmanaged Subnets.
    - Support for L2 Spaces.
    - Support for DHCP Relay.
    - Support for FB Wedge 40 & 100 switch discovery and deployment.
    - Improve Windows deployment.
    - Improved Commissioning environment.
    - Improved UX & UI.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Jun 2017 19:42:04 -0400

maas (2.1.5+bzr5596-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

   * Stable Release Update. New MAAS upstream bugfix release 2.1.5 (LP: #1669498)
     - MAAS 2.1.5 is a new upstream bugfix release that fixes several bugs
       present on MAAS 2.1.0. This is solely a bugfix release. To see what
       issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 27 Mar 2017 20:36:13 -0400

maas (2.1.3+bzr5573-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream bugfix release 2.1.3 (LP: #1644071)
    - MAAS 2.1.3 is a new upstream bugfix release that fixes several bugs
      present on MAAS 2.1.0. This is solely a bugfix release. To see what
      issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Dec 2016 08:22:55 -0500

maas (2.1.1+bzr5544-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream bugfix release 2.1.1 (LP: #1639766)
    - MAAS 2.1.1 is a new upstream bugfix that fixes several bugs present
      on MAAS 2.1.0. This is solely a bugfix release. To see what issues
      this release fixes please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 24 Oct 2016 11:28:59 -0400
