## maas 2.3.0~beta2-6327

=== requirements.txt ===
convoy==0.4.4
crochet==1.5.0
django==1.11
formencode==1.3.1
httplib2==0.9.2
jsonschema==2.5.1
lxml==3.5.0
netaddr==0.7.18
netifaces==0.10.4
oauthlib==1.1.2
paramiko==1.16.3
petname==2.0
pexpect==4.2.0
psycopg2==2.6.2
pymongo==3.2
pyopenssl==16.2.0
pyparsing==2.0.7
pyvmomi==6.0.0.2016.6
requests==2.11.0
service_identity==16.0.0
sphinx==1.4.5
tempita==0.5.2
twisted==16.4.1
zope.interface==4.2.0
git+https://github.com/seamicro/python-seamicroclient@master#egg=python-seamicroclient
git+https://github.com/shylent/python-tx-tftp@master#egg=python-tx-tftp
git+https://github.com/Supervisor/supervisor@master#egg=supervisor
git+https://git.launchpad.net/~maas-maintainers/django-piston3#egg=django-piston3
http://pyyaml.org/download/pyyaml/PyYAML-3.11.tar.gz#egg=pyyaml
bzr+lp:curtin#egg=curtin
bzr+lp:simplestreams#egg=python-simplestreams
bzr+lp:ubuntu/wily/python-oauth#egg=oauth
