## maas 2.3.0~beta2-6327-gdd05aa2

=== debian/changelog ===
maas (2.3.0~beta2-6327-gdd05aa2-0ubuntu1) artful; urgency=medium

  * New bugfix upstream release, 2.3.0 beta2 (LP: #1717543).
    - This release is only a bugfix release. Please see CHANGELOG for more
      information.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 11 Oct 2017 12:22:51 -0400

maas (2.3.0~beta1-6301-gca25180-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 beta1 (LP: #1717543):
    - Update the UI to surface hardware testing.
    - Rack Controller deployment for all machines via the API.
    - UI Improvements: Use new design for node details page and address
      various other UX issues.
    - API improvements: Introduce API output for volume_groups, raids,
      cache_sets and baches to the machines output. Used to support libmaas.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 04 Oct 2017 09:38:40 -0400

maas (2.3.0~alpha3-6250-g58f83f3-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 alpha3 (LP: #1717543):
    - Hardware Testing:
      + Ability to test and gather results per individual component
        (e.g. per disks).
      + Add 7z CPU performance test.
      + Add fio storage performance test.
      + Add ability to define YAML metadata for custom testing scripts,
        allowing MAAS to parse and utilize such metadata.
    - Rack Controller deployment for Whitebox Switches.
    - Improved DNS reloading.
    - UI - Controller Versions & Notifications.
    - UI - Refactor Zones page in Angular away from YUI.
  * Move scripts to maas-common that are used by the MAAS region controller
    in addition to the rack.
    - Add /usr/lib/maas/maas-common script.
  * Bump debhelper compat level 9.
  * debian/maas-common.links: Drop as it created a link for a binary that
    was already deprecated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 15 Sep 2017 10:37:57 -0500

maas (2.3.0~alpha2-6194-g7fb23b0-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 alpha2:
    - Support for CentOS & Windows netwok configuration
    - Add Switch model
    - Add better Network Discovery & Beaconing
    - Minor UI improvements

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 22 Aug 2017 13:49:24 -0400

maas (2.3.0~alpha1-6165-geae082b-0ubuntu1) artful; urgency=medium

  * New upstream release, 2.3.0 alpha1:
    - Support for django 1.11.
    - Support for upstream proxy.
    - Support ephemeral image via HTTP instead of iSCSI.
  * Add "maas-rack observe-beacons" to list of commands capable of
    running as the "maas" user.
  * Add /usr/lib/maas/maas-beacon-monitor script.
  * Add maas-beacon-monitor script to sudoers file.
    (Allows observation of UDP traffic sent to port 5240.)
  * Conflicts with python3-googleapi

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 29 Jul 2017 10:56:23 +0100

maas (2.2.0+bzr6054-0ubuntu2) artful; urgency=medium

  * debian/rules: Fix FTBFS in artful.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Jun 2017 18:57:01 -0400

maas (2.2.0+bzr6054-0ubuntu1) artful; urgency=medium

  * New upstream release, MAAS 2.2.0.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 May 2017 11:08:43 -0400

maas (2.2.0~rc4+bzr6048-0ubuntu1) zesty; urgency=medium

  * New upstream release, MAAS 2.2.0 RC 4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 27 Apr 2017 16:10:06 -0400

maas (2.2.0~rc3+bzr6025-0ubuntu1) artful; urgency=medium

  * New upstream release, MAAS 2.2.0 RC 3.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 21 Apr 2017 09:49:58 -0400

maas (2.2.0~rc2+bzr5983-0ubuntu1) zesty; urgency=medium

  * New upstream release, MAAS 2.2.0 RC 2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 15 Apr 2017 00:17:22 -0400
