## maas 2.3.0-6434-gd354690

=== debian/changelog ===
maas (2.3.0-6434-gd354690-0ubuntu1~17.10.1) artful-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.0 (LP: #1733615):
    - Add support for CentOS & Windows networking.
    - Add support for Upstream Proxy.
    - Add the ability to deploy rack controllers.
    - Add the ability to report controller versions.
    - Add HTTP boot for ephemeral images, instead of 'tgt'.
    - Add django 1.11 support.
    - Introduce beaconing for better network discovery.
    - Improve hardware testing for better usage and feedback.
    - Improves performance by improving DNS reloading performance.
    - Machine, devices & controller page re-design.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Nov 2017 14:08:22 -0500
