## maas 2.3.5-6511

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-python := python3.5
+python := python3
 
 # pkg_resources makes some incredible noise about version numbers. They
 # are not indications of bugs in MAAS so we silence them everywhere.
@@ -24,7 +24,6 @@
 py_enums := $(wildcard src/*/enum.py)
 # JavaScript enum module (not modules).
 js_enums := src/maasserver/static/js/enums.js
-templates := $(shell find etc/maas/templates -type f)
 
 # MAAS SASS stylesheets. The first input file (maas-styles.css) imports
 # the others, so is treated specially in the target definitions.
@@ -53,6 +52,7 @@
   bin/buildout \
   bin/database \
   bin/maas \
+  bin/maas-common \
   bin/maas-rack \
   bin/maas-region \
   bin/twistd.rack \
@@ -66,7 +66,8 @@
   bin/test.e2e \
   bin/test.parallel \
   bin/py bin/ipy \
-  $(js_enums)
+  $(js_enums) \
+  pycharm
 
 all: build doc
 
@@ -90,9 +91,8 @@
 	utilities/configure-buildout
 
 sudoers:
+	utilities/install-sudoers
 	utilities/grant-nmap-permissions
-	utilities/install-arp-observer
-	utilities/install-dhcp-observer
 
 bin/buildout: bootstrap-buildout.py
 	@utilities/configure-buildout --quiet
@@ -119,7 +119,7 @@
 
 bin/test.region: \
   bin/buildout buildout.cfg versions.cfg setup.py $(js_enums) \
-  bin/maas-region bin/maas-rack
+  bin/maas-region bin/maas-rack bin/maas-common
 	$(buildout) install region-test
 	@touch --no-create $@
 
@@ -153,7 +153,7 @@
 	$(buildout) install testing-test
 	@touch --no-create $@
 
-bin/maas-rack bin/twistd.rack: \
+bin/maas-rack bin/twistd.rack bin/maas-common: \
   bin/buildout buildout.cfg versions.cfg setup.py
 	$(buildout) install rack
 	@touch --no-create $@
@@ -188,6 +188,7 @@
   karma-opera-launcher@0.3.0
   karma-phantomjs-launcher@0.2.3
   karma-failed-reporter@0.0.3
+  karma-ng-html2js-preprocessor@1.0.0
   phantomjs@2.1.7
 endef
 
@@ -228,7 +229,7 @@
 
 test: bin/test.parallel bin/coverage
 	@$(RM) .coverage .coverage.*
-	@bin/test.parallel --subprocess-per-core
+	@bin/test.parallel --with-coverage --subprocess-per-core
 	@bin/coverage combine
 
 test-serial: $(strip $(test-scripts))
@@ -288,7 +289,7 @@
 
 lint: \
     lint-py lint-py-complexity lint-py-imports \
-    lint-js lint-junk lint-doc lint-rst
+    lint-js lint-doc lint-rst
 
 pocketlint = $(call available,pocketlint,python-pocket-lint)
 
@@ -300,26 +301,25 @@
 
 # Python lint checks are time-intensive, but flake8 now knows how to run
 # parallel jobs, and does so by default.
-lint-py: sources = setup.py src templates twisted
+lint-py: sources = setup.py src twisted
 lint-py: bin/flake8
 	@find $(sources) -name '*.py' \
 	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' -print0 \
-	    | xargs -r0 bin/flake8 --ignore=E123,E305,E402,E731 --isolated
+	    | xargs -r0 bin/flake8 --config=.flake8
 
 # Ignore tests when checking complexity. The maximum complexity ought to
 # be close to 10 but MAAS has many functions that are over that so we
 # start with a much higher number. Over time we can ratchet it down.
 lint-py-complexity: maximum=26
-lint-py-complexity: sources = setup.py src templates twisted
+lint-py-complexity: sources = setup.py src twisted
 lint-py-complexity: bin/flake8
 	@find $(sources) -name '*.py' \
 	  ! -path '*/migrations/*' ! -path '*/south_migrations/*' \
 	  ! -path '*/tests/*' ! -path '*/testing/*' ! -name 'testing.py' \
-	  -print0 | xargs -r0 bin/flake8 --ignore=E123,E305,E402,E731 \
-	              --isolated --max-complexity=$(maximum)
+	  -print0 | xargs -r0 bin/flake8 --config=.flake8 --max-complexity=$(maximum)
 
 # Statically check imports against policy.
-lint-py-imports: sources = setup.py src templates twisted
+lint-py-imports: sources = setup.py src twisted
 lint-py-imports:
 	@utilities/check-imports
 	@find $(sources) -name '*.py' \
@@ -338,24 +338,11 @@
 	    '(' -name '*.html' -o -name '*.js' ')' -print0 \
 		| xargs -r0 -n20 -P4 $(pocketlint)
 
-# Sometimes junk gets added to MAAS, like .moved files.
-lint-junk:
-	@if bzr ls --recursive --versioned | egrep '[.]moved$$'; then \
-	    echo "^ Junk found. Please remove it from the tree." >&2 ; fi
-
 # Apply automated formatting to all Python files.
-format: sources = $(wildcard *.py contrib/*.py) src templates twisted utilities etc
+format: sources = $(wildcard *.py contrib/*.py) src twisted utilities etc
 format:
 	@find $(sources) -name '*.py' -print0 | xargs -r0 utilities/format-imports
 
-# Update copyright dates from version history. Try to avoid updating
-# 3rd-party code by checking for "Canonical" or "MAAS" on the same line
-# as the copyright header.
-copyright:
-	@bzr ls --versioned --recursive --kind=file --null | \
-	    xargs -r0 egrep -iI 'copyright.*(canonical|maas)' -lZ | \
-	    xargs -r0 bzr update-copyright --quiet --force-range
-
 check: clean test
 
 docs/api.rst: bin/maas-region src/maasserver/api/doc_handler.py syncdb
@@ -380,3 +367,29 @@
 man/%: docs/man/%.rst | bin/sphinx-build
 	bin/sphinx-build -b man docs man $^
 
+.run .run-e2e: run-skel
+	@cp --archive --verbose $^ $@
+
+.idea: contrib/pycharm
+	@cp --archive --verbose $^ $@
+
+pycharm: .idea
+
+enums: $(js_enums)
+
+$(js_enums): bin/py src/maasserver/utils/jsenums.py $(py_enums)
+	bin/py -m maasserver.utils.jsenums $(py_enums) > $@
+
+styles: clean-styles $(scss_output)
+
+$(scss_output): bin/sass $(scss_theme) $(scss_input) $(scss_deps)
+	bin/sass --include-path=src/maasserver/static/scss \
+	    --output-style compressed $(scss_input) -o $(dir $@)
+
+$(scss_theme): prefix = include/nodejs
+$(scss_theme):
+	$(npm_install) --prefix $(prefix) maas-gui-vanilla-theme-new@1.3.0
+
+clean-styles:
+	$(RM) $(scss_output)
+
