## maas 2.3.5-6511-gf466fdb

=== debian/changelog ===
maas (2.3.5-6511-gf466fdb-0ubuntu1) xenial-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.5 (LP: #1772010):
    - MAAS 2.3.5 is a new upstream release that fixes a regressions that
      affects some users using the MAAS built-in proxy in 2.3.4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Aug 2018 12:30:04 -0400

maas (2.3.4-6508-g4f77e30-0ubuntu1) xenial-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.4 (LP: #1772010):
    - MAAS 2.3.4 is a new upstream release that fixes several bugs
      present on MAAS 2.3.0.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 30 Jul 2018 20:30:01 -0400

maas (2.3.0-6434-gd354690-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New upstream release, MAAS 2.3.0 (LP: #1733615):
    - Add support for CentOS & Windows networking.
    - Add support for Upstream Proxy.
    - Add the ability to deploy rack controllers.
    - Add the ability to report controller versions.
    - Add HTTP boot for ephemeral images, instead of 'tgt'.
    - Add django 1.11 support.
    - Introduce beaconing for better network discovery.
    - Improve hardware testing for better usage and feedback.
    - Improves performance by improving DNS reloading performance.
    - Machine, devices & controller page re-design.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Nov 2017 14:08:22 -0500

maas (2.2.2-6099-g8751f91-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream release 2.2.2 (LP: #1708651)
    - MAAS 2.2.2 is a new upstream bugfix release that fixes several bugs
      present on MAAS 2.2.0. This is solely a bug fix release. To see what
      issues have been fixes, please refer to the CHANGELOG.
  * debian/control: Conflicts with python3-googleapi.
  * debian/rules: Drop get-orig-source as MAAS & packaging are now in GIT.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 04 Aug 2017 08:37:54 -0400

maas (2.2.0+bzr6054-0ubuntu2~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream release 2.2.0 (LP: #1696752)
    - Support for Intel Rack Scale Design as a MAAS Pod.
    - Support for KVM as a MAAS Pod.
    - Support for Hardware Testing.
    - Support for Unmanaged Subnets.
    - Support for L2 Spaces.
    - Support for DHCP Relay.
    - Support for FB Wedge 40 & 100 switch discovery and deployment.
    - Improve Windows deployment.
    - Improved Commissioning environment.
    - Improved UX & UI.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Jun 2017 19:42:04 -0400

maas (2.1.5+bzr5596-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

   * Stable Release Update. New MAAS upstream bugfix release 2.1.5 (LP: #1669498)
     - MAAS 2.1.5 is a new upstream bugfix release that fixes several bugs
       present on MAAS 2.1.0. This is solely a bugfix release. To see what
       issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 27 Mar 2017 20:36:13 -0400

maas (2.1.3+bzr5573-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * Stable Release Update. New MAAS upstream bugfix release 2.1.3 (LP: #1644071)
    - MAAS 2.1.3 is a new upstream bugfix release that fixes several bugs
      present on MAAS 2.1.0. This is solely a bugfix release. To see what
      issues this release fixes, please refer to the CHANGELOG.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Dec 2016 08:22:55 -0500

maas (2.1.1+bzr5544-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * MAAS new upstream bugfix release, 2.1.1 bzr 5544 (SRU LP: #1639766):
    - Support new consolidated images (squashfs)
    - Support for new HWE kernels & Low Latency kernels.
    - Support for NTP configuration
    - Support for third party and derived repositories.
    - Support for IPv6
    - Support for static routes
    - Support for Network Bridge Configuration
    - Introduce the First User Journey
    - Introduce Device Discovery

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 24 Oct 2016 11:28:59 -0400

maas (2.0.0+bzr5189-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream release, 2.0.0 bzr5189 (SRU LP: #1615210):
    - Cluster Controllers now deprecated. Introducing Rack Controllers.
      + Machine no longer belong to Rack Controllers.
      + High availability it is now supported.
      + Rack Controllers manage DHCP on the Fabric Level.
    - Region Controller high availability and scalability.
      + Ability to configure multiple Region Controller API endpoints.
    - API 1.0 has been deprecated. Introducing new API 2.0.
    - MAAS is introducing IP Ranges and deprecated the Static Range.
      + MAAS now controls the whole subnet.
      + The static Range has now been deprecated.
      + Users can now only create a dynamic or reserved range.
    - MAAS Static Range has been deprecated. MAAS Controls the whole Subnet.
    - New networks GUI.
    - MAAS now fully manages DNS.
    - Extended Storage Support. Includes:
      + XFS, Mount Options, Swap Partitions, tmpfs/ramfs.
    - Adding support for DHCP Snippets.
      + Creates extra custom DHCP config at the Node, Subnet and Global level.
    - MAAS Proxy is now managed by MAAS.
    - Service Tracking. MAAS now tracks status of the several services it runs.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 22 Aug 2016 16:25:57 +0100

maas (2.0.0~rc2+bzr5156-0ubuntu1~16.04.2) xenial-proposed; urgency=medium

  * debian/patches/lp1604128_workaround_python_lp1604147: Work around a
    regression in the recent update to Python 3.5.2 that lost the
    pathlib.Path.path property. (LP: #1604128)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 18 Jul 2016 16:56:26 -0400

maas (2.0.0~rc2+bzr5156-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream bugfix release, 2.0.0 RC2 bzr5143 (LP: #1599523):
    - This new upstream release is a bug fix release that addresses several

